import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function listBanner(query) {
  return request({
    url: '/backstage/banner/list',
    method: 'get',
    params: query
  })
}

// 查询【请填写功能名称】详细
export function getBanner(id) {
  return request({
    url: '/backstage/banner/' + id,
    method: 'get'
  })
}

// 新增【请填写功能名称】
export function addBanner(data) {
  return request({
    url: '/backstage/banner',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updateBanner(data) {
  return request({
    url: '/backstage/banner',
    method: 'put',
    data: data
  })
}

// 删除【请填写功能名称】
export function delBanner(id) {
  return request({
    url: '/backstage/banner/' + id,
    method: 'delete'
  })
}

// 导出【请填写功能名称】
export function exportBanner(query) {
  return request({
    url: '/backstage/banner/export',
    method: 'get',
    params: query
  })
}
// 状态修改
export function changeStatus(id, status) {
  const data = {
    id,
    status
  }
  return request({
    url: '/backstage/banner/changeStatus',
    method: 'put',
    data: data
  })
}