import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function listUser(query) {
  return request({
    url: '/backstage/user/list',
    method: 'get',
    params: query
  })
}

// 查询【请填写功能名称】详细
export function getUser(userId) {
  return request({
    url: '/backstage/user/' + userId,
    method: 'get'
  })
}

// 新增【请填写功能名称】
export function addUser(data) {
  return request({
    url: '/backstage/user',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updateUser(data) {
  return request({
    url: '/backstage/user',
    method: 'put',
    data: data
  })
}

// 删除【请填写功能名称】
export function delUser(userId) {
  return request({
    url: '/backstage/user/' + userId,
    method: 'delete'
  })
}

// 导出【请填写功能名称】
export function exportUser(query) {
  return request({
    url: '/backstage/user/export',
    method: 'get',
    params: query
  })
}


// 用户状态修改
export function changeUserStatus(userId, status) {
  const data = {
    userId,
    status
  }
  return request({
    url: '/backstage/user/changeStatus',
    method: 'put',
    data: data
  })
}