import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function listOrder(query) {
  return request({
    url: '/backstage/order/list',
    method: 'get',
    params: query
  })
}

// 查询【请填写功能名称】详细
export function getOrder(id) {
  return request({
    url: '/backstage/order/' + id,
    method: 'get'
  })
}

// 新增【请填写功能名称】
export function addOrder(data) {
  return request({
    url: '/backstage/order',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updateOrder(data) {
  return request({
    url: '/backstage/order',
    method: 'put',
    data: data
  })
}

// 删除【请填写功能名称】
export function delOrder(id) {
  return request({
    url: '/backstage/order/' + id,
    method: 'delete'
  })
}

// 导出【请填写功能名称】
export function exportOrder(query) {
  return request({
    url: '/backstage/order/export',
    method: 'get',
    params: query
  })
}

export function handleRefund(outTradeNo,status) {
  return request({
    url: '/backstage/order/refund',
    method: 'get',
    params: {'outTradeNo':outTradeNo,'status':status}
  })
}

export function listReconciliation(query) {
  return request({
    url: '/backstage/order/reconciliationList',
    method: 'get',
    params: query
  })
}
export function exportReconciliation(query) {
  return request({
    url: '/backstage/order/exportReconciliation',
    method: 'get',
    params: query
  })
}
export function listIncome(query) {
  return request({
    url: '/backstage/order/incomeList',
    method: 'get',
    params: query
  })
}
export function exportIncome(query) {
  return request({
    url: '/backstage/order/exportIncome',
    method: 'get',
    params: query
  })
}