import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function listItem(query) {
  return request({
    url: '/backstage/orderItem/list',
    method: 'get',
    params: query
  })
}

// 查询【请填写功能名称】详细
export function getItem(id) {
  return request({
    url: '/backstage/orderItem/' + id,
    method: 'get'
  })
}

// 新增【请填写功能名称】
export function addItem(data) {
  return request({
    url: '/backstage/orderItem',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updateItem(data) {
  return request({
    url: '/backstage/orderItem',
    method: 'put',
    data: data
  })
}

// 删除【请填写功能名称】
export function delItem(id) {
  return request({
    url: '/backstage/orderItem/' + id,
    method: 'delete'
  })
}

// 导出【请填写功能名称】
export function exportItem(query) {
  return request({
    url: '/backstage/orderItem/export',
    method: 'get',
    params: query
  })
}