import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function listSchedule(query) {
  return request({
    url: '/backstage/schedule/list',
    method: 'get',
    params: query
  })
}

// 查询【请填写功能名称】详细
export function getSchedule(id) {
  return request({
    url: '/backstage/schedule/' + id,
    method: 'get'
  })
}

// 新增【请填写功能名称】
export function addSchedule(data) {
  return request({
    url: '/backstage/schedule',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updateSchedule(data) {
  return request({
    url: '/backstage/schedule',
    method: 'put',
    data: data
  })
}

// 删除【请填写功能名称】
export function delSchedule(id) {
  return request({
    url: '/backstage/schedule/' + id,
    method: 'delete'
  })
}

// 导出【请填写功能名称】
export function exportSchedule(query) {
  return request({
    url: '/backstage/schedule/export',
    method: 'get',
    params: query
  })
}